Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

ECOM Transaction API

TSP-API-OUT-v1-ECOM-Transaction-oas3.yaml

POST /merchant-gateways/{merchantGatewayId}/merchants/{merchantId}/tokens/{tokenId}/transactions

post
/merchant-gateways/{merchantGatewayId}/merchants/{merchantId}/tokens/{tokenId}/transactions
Path parameters
merchantGatewayIdstring · min: 10 · max: 10Required

Merchant Gateway Identifier.

Example: MGW_123456
merchantIdstring · min: 11 · max: 11Required

Merchant Identifier (aka Token Requestor ID) generated by the scheme TSP for that merchant.

Example: 10610027312
tokenIdstring · min: 1 · max: 48Required

Unique Token Identifier

Body
transactionIdstringRequiredExample: Rrn123456789Pattern: ^[A-Za-z0-9]{1,12}$
transactionDateTimestringRequired

UTC Transaction date in 'YYYYMMDDhhmmss' format.

Example: 20260225140530Pattern: ^[0-9]{14}$
amountstringRequired

smallest unit of currency right justified with leading zeros

Example: 000000002100Pattern: ^[0-9]{12}$
currencyCodestringRequired

Currency code as per ISO 4217

Example: 978Pattern: ^[0-9]{3}$
Responses
200

Transaction Created

application/json
encryptedDatastringOptional

The payment credentials data encrypted with JWE format (https://datatracker.ietf.org/doc/html/rfc7516) using following encryption parameters:

  • JWE base64url encoded string
  • "alg" (Algorithm) header parameter: ECDH-ES
  • "enc" (Encryption Algorithm) header parameter: A256GCM
  • "kid" (Key ID) header parameter: Key identifier corresponding to EC public key of the recipient
  • EC curve: P-256 The JSON object that is encrypted is defined as follows:
JSON field parameter namedescriptionMOCLength
dpanThe token PAN valueMUp to 19
expThe token expiry date in the format MMYYM4
cryptogramThe payment cryptogram to use with the token for a paymentMUp to 256

Example: {"dpan:"9580981500100002", "exp":"1222", "cryptogram": "45f8grzty7f4f5gs5s2c"}

post
/merchant-gateways/{merchantGatewayId}/merchants/{merchantId}/tokens/{tokenId}/transactions

Last updated

Was this helpful?